package com.ym.mec.web.controller;

import com.ym.mec.biz.dal.entity.VipGroupDefaultClassesUnitPrice;
import com.ym.mec.biz.service.VipGroupDefaultClassesUnitPriceService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

@Api(tags = "vip课默认单价")
@RequestMapping("vipGroupDefaultClassesUnitPrice")
@RestController
public class VipGroupDefaultClassesUnitPriceController extends BaseController {

	@Autowired
	private VipGroupDefaultClassesUnitPriceService vipGroupDefaultClassesUnitPriceService;

	@ApiOperation("单查询")
	@GetMapping(value = "/query")
	public Object query(int id) {
		return succeed(vipGroupDefaultClassesUnitPriceService.get(id));
	}

	@ApiOperation("全查询")
	@GetMapping(value = "/queryAll")
	public Object queryAll(Long organId) {
		return succeed(vipGroupDefaultClassesUnitPriceService.findAll(null));
	}

	@ApiOperation("新增")
	@PostMapping(value = "/add")
	public Object add(VipGroupDefaultClassesUnitPrice vipGroupDefaultClassesUnitPrice) {
		Date date = new Date();
		vipGroupDefaultClassesUnitPrice.setCreateTime(date);
		vipGroupDefaultClassesUnitPrice.setUpdateTime(date);
		vipGroupDefaultClassesUnitPriceService.insert(vipGroupDefaultClassesUnitPrice);
		return succeed();
	}

	@ApiOperation("修改")
	@PostMapping(value = "/update")
	public Object update(VipGroupDefaultClassesUnitPrice vipGroupDefaultClassesUnitPrice) {
		Date date = new Date();
		vipGroupDefaultClassesUnitPrice.setUpdateTime(date);
		vipGroupDefaultClassesUnitPriceService.update(vipGroupDefaultClassesUnitPrice);
		return succeed();
	}

	@ApiOperation("删除")
	@PostMapping(value = "/delete")
	public Object delete(int id) {
		vipGroupDefaultClassesUnitPriceService.delete(id);
		return succeed();
	}

}
